package com.jcg.displayimagesthymeleaf;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.security.config.annotation.web.builders.HttpSecurity;
import org.springframework.security.config.annotation.web.configuration.EnableWebSecurity;
import org.springframework.security.web.SecurityFilterChain;




/**
 *
 * @author omozegieaziegbe
 */
@Configuration
@EnableWebSecurity
public class SecurityConfig {

    @Bean
    public SecurityFilterChain filterChain(HttpSecurity http) throws Exception {
            http.authorizeRequests()
                .requestMatchers("/").permitAll()
                .requestMatchers("/display/**").permitAll()
                .requestMatchers("/images/**").permitAll() // Permit access to static images
                .requestMatchers("/imagedisplay/view").authenticated() // Require authentication for image view
                .anyRequest().authenticated();
            
            return http.build();
    }

}
