/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg.displayimagesthymeleaf.controller;

import com.jcg.displayimagesthymeleaf.entity.ImageEntity;
import com.jcg.displayimagesthymeleaf.service.ImageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import static org.springframework.http.MediaType.MULTIPART_FORM_DATA_VALUE;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestPart;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.servlet.ModelAndView;

/**
 *
 * @author omozegieaziegbe
 */
@Controller
public class DatabaseImageController {

    @Autowired
    private ImageService imageService;
    
    @GetMapping(value = "/imagedisplay/view", produces = {MediaType.IMAGE_JPEG_VALUE, MediaType.IMAGE_PNG_VALUE})
    public String view(Model model) {
        model.addAttribute("images", imageService.getAllImages());
        return "view";
    }

    @GetMapping("/imagedisplay/add")
    public ModelAndView addImage() {
        return new ModelAndView("addImage", "image", new ImageEntity());
    }

    @PostMapping(value = "/imagedisplay/add", consumes = MULTIPART_FORM_DATA_VALUE)
    public String handleProfileAdd(ImageEntity image, @RequestPart("file") MultipartFile file) {
        imageService.saveImage(image, file);
        return "redirect:/imagedisplay/view";
    }
    
}
