/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg.displayimagesthymeleaf.service;

import com.jcg.displayimagesthymeleaf.entity.ImageEntity;
import com.jcg.displayimagesthymeleaf.repository.ImageRepository;
import java.io.IOException;
import java.util.List;
import java.util.Optional;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

/**
 *
 * @author omozegieaziegbe
 */
@Service
public class ImageService {

    @Autowired
    private ImageRepository imageRepository;

    public List<ImageEntity> getAllImages() {
        return imageRepository.findAll();
    }

    public Optional<ImageEntity> getImageById(Long id) {
        return imageRepository.findById(id);
    }

    public void saveImage(ImageEntity imageEntity, MultipartFile file) {
        try {
            imageEntity.setImageData(file.getBytes());
            imageRepository.save(imageEntity);
        } catch (IOException ex) {
            Logger.getLogger(ImageService.class.getName()).log(Level.SEVERE, null, ex);
        }
        
    }

}